<div xmlns:th="http://www.thymeleaf.org" th:attr="data-type=${#strings.toLowerCase(data.typeName)}" nash-th:attrappend="class=(*{elm.display}? '' : ' hide')" th:class="'form-group field-type-' + ${#strings.toLowerCase(data.typeName)}" nash-th:attr="data-field=*{path.fullPath}, data-rule=*{path.asRuleKey()}" nash-nash:type="*{adapter}">
    <div th:fragment="mainWrapper" th:include="${mainWrapper} ?: _" class="col-md-12" th:classappend="${data.repeatable} ? 'repeatable-hidden' : null">
        <div th:fragment="labelBlock" class="field-label" th:attrappend="class=${fieldLabelClass} ? ' ' + ${fieldLabelClass} : null">
            <label nash-th:for="${ommitLabelFor} ? null : *{path.fullPath}" th:attr="class=${data.mandatory}? 'mandatory'" th:attrappend="class=${labelClass} ? ' ' + ${labelClass} : null"><th:block th:include="${startLabel} ?: _" /><th:block th:if="${null != data.label}"><nash-th:block nash-th:if="${singleTranslation}" nash-th:text="#{*{elm.label}}" /><nash-th:block nash-th:unless="${singleTranslation}" nash-th:text="*{elm.label}" /></th:block><th:block th:if="${null != data.help and data.help.trim() != ''}"> <button type="button" class="btn btn-help btn-sm" tabindex="-1" data-toggle="popover" data-placement="top" data-trigger="focus" data-html="true" nash-th:attr="data-content=(${singleTranslation} and *{elm.help} ? #{*{elm.help}} : *{elm.help}) + (${i18nAvailable} ? ' &lt;div class=\'field-translation\'&gt;&lt;span class=\'badge\'&gt;'+${i18nLang}+'&lt;/span&gt; '+#{*{elm.help}}+'&lt;/div&gt;' : '')"><i class="fa fa-question-circle"></i></button></th:block></label>
            <div class="field-translation" nash-th:if="${!singleTranslation && i18nAvailable} and *{elm.label}">
                <span class="badge" nash-th:text="${i18nLang}"></span>
                <nash-th:block nash-th:text="#{*{elm.label}}" />
            </div>
        </div>
        <div th:fragment="descriptionBlock" class="field-description text-justify" th:if="${data.description}">
            <nash-th:block nash-nash:md="${singleTranslation} ? #{*{elm.description}} : *{elm.description}" />
            <div class="field-translation" nash-th:if="${!singleTranslation && i18nAvailable}">
                <span class="badge" nash-th:text="${i18nLang}"></span>
                <nash-th:block nash-nash:md="#{*{elm.description}}" />
            </div>
        </div>
        <div th:fragment="warningBlock" class="field-warning alert alert-warning" th:if="${!#lists.isEmpty(data.warnings)}" nash-th:each="warning : *{elm.warnings}">
            <strong nash-th:text="${singleTranslation} ? #{${warning.label}} : ${warning.label}" nash-th:if="${warning.label}"></strong>
            <nash-th:block nash-nash:md="${singleTranslation} ? #{${warning.description}} : ${warning.description}" />
            <div class="field-translation" nash-th:if="${!singleTranslation && i18nAvailable}">
                <span class="badge" nash-th:text="${i18nLang}"></span>
                <strong nash-th:text="#{${warning.label}}" nash-th:if="${warning.label}"></strong>
                <nash-th:block nash-nash:md="#{${warning.description}}" />
            </div>
        </div>
    </div>
    <div th:if="${defaultInput}">
        <div th:if="${data.repeatable}" class="list-icons">
            <a nash-th:id="*{path.asHtml() + '-btn-trash'}" class="repeatables-action panel-trash ge-bleu" data-type="delete" data-target="field" href="#"><i class="fa fa-trash-o"></i></a>
            <a nash-th:id="*{path.asHtml() + '-btn-up'}" class="repeatables-action ge-bleu" data-type="arrow-up" data-target="field" href="#"><i class="fa fa-arrow-circle-up"></i></a>
            <a nash-th:id="*{path.asHtml() + '-btn-down'}" class="repeatables-action ge-bleu" data-type="arrow-down" data-target="field" href="#"><i class="fa fa-arrow-circle-down"></i></a>
            <a nash-th:id="*{path.asHtml() + '-btn-add'}" class="repeatables-action ge-rouge" data-type="add" data-target="field" href="#"><i class="fa fa-plus-circle"></i></a>
        </div>
        <div>
            <div class="col-md-12 list-icons-target" th:include="${defaultInput} ?: _"></div>
        </div>
    </div>
</div>
